Buscar assinaturas
curl --request GET \
--url https://sandbox.api.veepag.com/v1/subscription \
--header 'apiKey: <api-key>'import requests
url = "https://sandbox.api.veepag.com/v1/subscription"
headers = {"apiKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>'}};
fetch('https://sandbox.api.veepag.com/v1/subscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.veepag.com/v1/subscription",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"apiKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.veepag.com/v1/subscription"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.veepag.com/v1/subscription")
.header("apiKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.veepag.com/v1/subscription")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["apiKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [],
"has_more": false,
"limit": 20,
"total_pages": 1,
"page": 1,
"total": 0,
"query_count": 0
}{
"error_messages": [
{
"msg": "Payload invalido.",
"type": "field",
"path": "companyId",
"location": "body"
}
],
"code": "ZodValidationException",
"path": "/v1/subscription",
"metadata": {}
}{
"error_messages": [
{
"msg": "Unauthorized."
}
],
"code": "unauthorized",
"path": "/v1/subscription",
"metadata": {}
}{
"error_messages": [
{
"msg": "Forbidden."
}
],
"code": "forbidden",
"path": "/v1/subscription",
"metadata": {}
}{
"error_messages": [
{
"msg": "Unknown server error."
}
],
"code": "unknown_server_error",
"path": "/v1/subscription",
"metadata": {}
}Subscription
Buscar assinaturas
Lista assinaturas paginadas com filtros por cliente, status, periodo e ordenacao.
GET
/
v1
/
subscription
Buscar assinaturas
curl --request GET \
--url https://sandbox.api.veepag.com/v1/subscription \
--header 'apiKey: <api-key>'import requests
url = "https://sandbox.api.veepag.com/v1/subscription"
headers = {"apiKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>'}};
fetch('https://sandbox.api.veepag.com/v1/subscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.veepag.com/v1/subscription",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"apiKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.veepag.com/v1/subscription"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.veepag.com/v1/subscription")
.header("apiKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.veepag.com/v1/subscription")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["apiKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [],
"has_more": false,
"limit": 20,
"total_pages": 1,
"page": 1,
"total": 0,
"query_count": 0
}{
"error_messages": [
{
"msg": "Payload invalido.",
"type": "field",
"path": "companyId",
"location": "body"
}
],
"code": "ZodValidationException",
"path": "/v1/subscription",
"metadata": {}
}{
"error_messages": [
{
"msg": "Unauthorized."
}
],
"code": "unauthorized",
"path": "/v1/subscription",
"metadata": {}
}{
"error_messages": [
{
"msg": "Forbidden."
}
],
"code": "forbidden",
"path": "/v1/subscription",
"metadata": {}
}{
"error_messages": [
{
"msg": "Unknown server error."
}
],
"code": "unknown_server_error",
"path": "/v1/subscription",
"metadata": {}
}Authorizations
api_keytoken
API key no formato keyId.secret.
Query Parameters
Número da página (min 1, default 1)
Quantidade por página (1-100, default 20)
Available options:
asc, desc Available options:
createdAt, lastUpdate Filtro de data final conforme sort.property
Filtro de data inicial conforme sort.property
Available options:
ACTIVE, ERROR_PAYMENT, NO_PAYMENT_ROUTE, CREATED, PENDING_PAYMENT, RECOVERED, NO_PAYMENT, CANCELED_ALERT_ETHOCA, BLOCKED, CANCELED_MANUAL, IMPORTED, STANDBY, OVERDUE Was this page helpful?
